use na::Vector3;

const THREE_OVER_FOUR_PI: f32 = 3.0 / (4.0 * std::f32::consts::PI);

pub struct Planet {
	pub pos: Vector3<f32>,
	pub mass: f32,
	pub radius: f32,
}

impl Planet {
	pub fn new(mass: f32, pos: Vector3<f32>) -> Self {
		let radius = (THREE_OVER_FOUR_PI * mass).cbrt();
		Self { mass, pos, radius }
	}
}
